National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2011-1094 Detail

Current Description

kio/kio/tcpslavebase.cpp in KDE KSSL in kdelibs before 4.6.1 does not properly verify that the server hostname matches the domain name of the subject of an X.509 certificate, which allows man-in-the-middle attackers to spoof arbitrary SSL servers via a certificate issued by a legitimate Certification Authority for an IP address, a different vulnerability than CVE-2009-2702.

Source:  MITRE
View Analysis Description

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 4.3 MEDIUM
Vector: (AV:N/AC:M/Au:N/C:N/I:P/A:N) (V2 legend)
Impact Subscore: 2.9
Exploitability Subscore: 8.6


Access Vector (AV): Network
Access Complexity (AC): Medium
Authentication (AU): None
Confidentiality (C): None
Integrity (I): Partial
Availability (A): None
Additional Information:
Victim must voluntarily interact with attack mechanism
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://openwall.com/lists/oss-security/2011/03/08/13 Patch
http://openwall.com/lists/oss-security/2011/03/08/20 Patch
http://www.mandriva.com/security/advisories?name=MDVSA-2011:071
http://www.securityfocus.com/bid/46789
http://www.ubuntu.com/usn/USN-1110-1
http://www.vupen.com/english/advisories/2011/0913
http://www.vupen.com/english/advisories/2011/0990
https://exchange.xforce.ibmcloud.com/vulnerabilities/65986
https://projects.kde.org/projects/kde/kdelibs/repository/revisions/76f935197599a335a5fe09b78751ddb455248cf7 Patch

Technical Details

Vulnerability Type (View All)

  • Improper Input Validation (CWE-20)

Known Affected Software Configurations Switch to CPE 2.3

Configuration 1 ( hide )
 cpe:/a:redhat:kdelibs:3.5.2
     Show Matching CPE(s)
 cpe:/a:redhat:kdelibs:3.5.9
     Show Matching CPE(s)
 cpe:/a:redhat:kdelibs:3.5.10
     Show Matching CPE(s)
 cpe:/a:redhat:kdelibs
     Show Matching CPE(s)
Up to (including)
4.6


Change History

2 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2011-1094
NVD Published Date:
03/16/2011
NVD Last Modified:
08/16/2017